"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CognitoSyncClient_1 = require("./CognitoSyncClient");
var BulkPublishCommand_1 = require("./commands/BulkPublishCommand");
var DeleteDatasetCommand_1 = require("./commands/DeleteDatasetCommand");
var DescribeDatasetCommand_1 = require("./commands/DescribeDatasetCommand");
var DescribeIdentityPoolUsageCommand_1 = require("./commands/DescribeIdentityPoolUsageCommand");
var DescribeIdentityUsageCommand_1 = require("./commands/DescribeIdentityUsageCommand");
var GetBulkPublishDetailsCommand_1 = require("./commands/GetBulkPublishDetailsCommand");
var GetCognitoEventsCommand_1 = require("./commands/GetCognitoEventsCommand");
var GetIdentityPoolConfigurationCommand_1 = require("./commands/GetIdentityPoolConfigurationCommand");
var ListDatasetsCommand_1 = require("./commands/ListDatasetsCommand");
var ListIdentityPoolUsageCommand_1 = require("./commands/ListIdentityPoolUsageCommand");
var ListRecordsCommand_1 = require("./commands/ListRecordsCommand");
var RegisterDeviceCommand_1 = require("./commands/RegisterDeviceCommand");
var SetCognitoEventsCommand_1 = require("./commands/SetCognitoEventsCommand");
var SetIdentityPoolConfigurationCommand_1 = require("./commands/SetIdentityPoolConfigurationCommand");
var SubscribeToDatasetCommand_1 = require("./commands/SubscribeToDatasetCommand");
var UnsubscribeFromDatasetCommand_1 = require("./commands/UnsubscribeFromDatasetCommand");
var UpdateRecordsCommand_1 = require("./commands/UpdateRecordsCommand");
var CognitoSync = /** @class */ (function (_super) {
    tslib_1.__extends(CognitoSync, _super);
    function CognitoSync() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CognitoSync.prototype.bulkPublish = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BulkPublishCommand_1.BulkPublishCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.deleteDataset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDatasetCommand_1.DeleteDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.describeDataset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDatasetCommand_1.DescribeDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.describeIdentityPoolUsage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeIdentityPoolUsageCommand_1.DescribeIdentityPoolUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.describeIdentityUsage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeIdentityUsageCommand_1.DescribeIdentityUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.getBulkPublishDetails = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBulkPublishDetailsCommand_1.GetBulkPublishDetailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.getCognitoEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCognitoEventsCommand_1.GetCognitoEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.getIdentityPoolConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIdentityPoolConfigurationCommand_1.GetIdentityPoolConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.listDatasets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDatasetsCommand_1.ListDatasetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.listIdentityPoolUsage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListIdentityPoolUsageCommand_1.ListIdentityPoolUsageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.listRecords = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListRecordsCommand_1.ListRecordsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.registerDevice = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterDeviceCommand_1.RegisterDeviceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.setCognitoEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetCognitoEventsCommand_1.SetCognitoEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.setIdentityPoolConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SetIdentityPoolConfigurationCommand_1.SetIdentityPoolConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.subscribeToDataset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SubscribeToDatasetCommand_1.SubscribeToDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.unsubscribeFromDataset = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UnsubscribeFromDatasetCommand_1.UnsubscribeFromDatasetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CognitoSync.prototype.updateRecords = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRecordsCommand_1.UpdateRecordsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CognitoSync;
}(CognitoSyncClient_1.CognitoSyncClient));
exports.CognitoSync = CognitoSync;
//# sourceMappingURL=CognitoSync.js.map