"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BulkPublish_1 = require("../model/operations/BulkPublish");
var BulkPublishCommand = /** @class */ (function () {
    function BulkPublishCommand(input) {
        this.input = input;
        this.model = BulkPublish_1.BulkPublish;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BulkPublishCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BulkPublishCommand;
}());
exports.BulkPublishCommand = BulkPublishCommand;
//# sourceMappingURL=BulkPublishCommand.js.map