"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDataset_1 = require("../model/operations/DescribeDataset");
var DescribeDatasetCommand = /** @class */ (function () {
    function DescribeDatasetCommand(input) {
        this.input = input;
        this.model = DescribeDataset_1.DescribeDataset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDatasetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDatasetCommand;
}());
exports.DescribeDatasetCommand = DescribeDatasetCommand;
//# sourceMappingURL=DescribeDatasetCommand.js.map