"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeIdentityPoolUsage_1 = require("../model/operations/DescribeIdentityPoolUsage");
var DescribeIdentityPoolUsageCommand = /** @class */ (function () {
    function DescribeIdentityPoolUsageCommand(input) {
        this.input = input;
        this.model = DescribeIdentityPoolUsage_1.DescribeIdentityPoolUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeIdentityPoolUsageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeIdentityPoolUsageCommand;
}());
exports.DescribeIdentityPoolUsageCommand = DescribeIdentityPoolUsageCommand;
//# sourceMappingURL=DescribeIdentityPoolUsageCommand.js.map