"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeIdentityUsage_1 = require("../model/operations/DescribeIdentityUsage");
var DescribeIdentityUsageCommand = /** @class */ (function () {
    function DescribeIdentityUsageCommand(input) {
        this.input = input;
        this.model = DescribeIdentityUsage_1.DescribeIdentityUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeIdentityUsageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeIdentityUsageCommand;
}());
exports.DescribeIdentityUsageCommand = DescribeIdentityUsageCommand;
//# sourceMappingURL=DescribeIdentityUsageCommand.js.map