"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCognitoEvents_1 = require("../model/operations/GetCognitoEvents");
var GetCognitoEventsCommand = /** @class */ (function () {
    function GetCognitoEventsCommand(input) {
        this.input = input;
        this.model = GetCognitoEvents_1.GetCognitoEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCognitoEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCognitoEventsCommand;
}());
exports.GetCognitoEventsCommand = GetCognitoEventsCommand;
//# sourceMappingURL=GetCognitoEventsCommand.js.map