"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListRecords_1 = require("../model/operations/ListRecords");
var ListRecordsCommand = /** @class */ (function () {
    function ListRecordsCommand(input) {
        this.input = input;
        this.model = ListRecords_1.ListRecords;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListRecordsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListRecordsCommand;
}());
exports.ListRecordsCommand = ListRecordsCommand;
//# sourceMappingURL=ListRecordsCommand.js.map