"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterDevice_1 = require("../model/operations/RegisterDevice");
var RegisterDeviceCommand = /** @class */ (function () {
    function RegisterDeviceCommand(input) {
        this.input = input;
        this.model = RegisterDevice_1.RegisterDevice;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterDeviceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterDeviceCommand;
}());
exports.RegisterDeviceCommand = RegisterDeviceCommand;
//# sourceMappingURL=RegisterDeviceCommand.js.map