"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetCognitoEvents_1 = require("../model/operations/SetCognitoEvents");
var SetCognitoEventsCommand = /** @class */ (function () {
    function SetCognitoEventsCommand(input) {
        this.input = input;
        this.model = SetCognitoEvents_1.SetCognitoEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetCognitoEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetCognitoEventsCommand;
}());
exports.SetCognitoEventsCommand = SetCognitoEventsCommand;
//# sourceMappingURL=SetCognitoEventsCommand.js.map