"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SubscribeToDataset_1 = require("../model/operations/SubscribeToDataset");
var SubscribeToDatasetCommand = /** @class */ (function () {
    function SubscribeToDatasetCommand(input) {
        this.input = input;
        this.model = SubscribeToDataset_1.SubscribeToDataset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SubscribeToDatasetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SubscribeToDatasetCommand;
}());
exports.SubscribeToDatasetCommand = SubscribeToDatasetCommand;
//# sourceMappingURL=SubscribeToDatasetCommand.js.map