"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UnsubscribeFromDataset_1 = require("../model/operations/UnsubscribeFromDataset");
var UnsubscribeFromDatasetCommand = /** @class */ (function () {
    function UnsubscribeFromDatasetCommand(input) {
        this.input = input;
        this.model = UnsubscribeFromDataset_1.UnsubscribeFromDataset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UnsubscribeFromDatasetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UnsubscribeFromDatasetCommand;
}());
exports.UnsubscribeFromDatasetCommand = UnsubscribeFromDatasetCommand;
//# sourceMappingURL=UnsubscribeFromDatasetCommand.js.map