"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BulkPublishInput_1 = require("../shapes/BulkPublishInput");
var BulkPublishOutput_1 = require("../shapes/BulkPublishOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var DuplicateRequestException_1 = require("../shapes/DuplicateRequestException");
var AlreadyStreamedException_1 = require("../shapes/AlreadyStreamedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BulkPublish = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BulkPublish",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/bulkpublish"
    },
    input: {
        shape: BulkPublishInput_1.BulkPublishInput
    },
    output: {
        shape: BulkPublishOutput_1.BulkPublishOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: DuplicateRequestException_1.DuplicateRequestException
        },
        {
            shape: AlreadyStreamedException_1.AlreadyStreamedException
        }
    ]
};
//# sourceMappingURL=BulkPublish.js.map