"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeDatasetInput_1 = require("../shapes/DescribeDatasetInput");
var DescribeDatasetOutput_1 = require("../shapes/DescribeDatasetOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDataset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDataset",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}"
    },
    input: {
        shape: DescribeDatasetInput_1.DescribeDatasetInput
    },
    output: {
        shape: DescribeDatasetOutput_1.DescribeDatasetOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DescribeDataset.js.map