"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeIdentityUsageInput_1 = require("../shapes/DescribeIdentityUsageInput");
var DescribeIdentityUsageOutput_1 = require("../shapes/DescribeIdentityUsageOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeIdentityUsage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeIdentityUsage",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}"
    },
    input: {
        shape: DescribeIdentityUsageInput_1.DescribeIdentityUsageInput
    },
    output: {
        shape: DescribeIdentityUsageOutput_1.DescribeIdentityUsageOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DescribeIdentityUsage.js.map