"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetIdentityPoolConfigurationInput_1 = require("../shapes/GetIdentityPoolConfigurationInput");
var GetIdentityPoolConfigurationOutput_1 = require("../shapes/GetIdentityPoolConfigurationOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIdentityPoolConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIdentityPoolConfiguration",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/configuration"
    },
    input: {
        shape: GetIdentityPoolConfigurationInput_1.GetIdentityPoolConfigurationInput
    },
    output: {
        shape: GetIdentityPoolConfigurationOutput_1.GetIdentityPoolConfigurationOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetIdentityPoolConfiguration.js.map