"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDatasetsInput_1 = require("../shapes/ListDatasetsInput");
var ListDatasetsOutput_1 = require("../shapes/ListDatasetsOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDatasets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDatasets",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets"
    },
    input: {
        shape: ListDatasetsInput_1.ListDatasetsInput
    },
    output: {
        shape: ListDatasetsOutput_1.ListDatasetsOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListDatasets.js.map