"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListRecordsInput_1 = require("../shapes/ListRecordsInput");
var ListRecordsOutput_1 = require("../shapes/ListRecordsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListRecords = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListRecords",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/records"
    },
    input: {
        shape: ListRecordsInput_1.ListRecordsInput
    },
    output: {
        shape: ListRecordsOutput_1.ListRecordsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        }
    ]
};
//# sourceMappingURL=ListRecords.js.map