"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterDeviceInput_1 = require("../shapes/RegisterDeviceInput");
var RegisterDeviceOutput_1 = require("../shapes/RegisterDeviceOutput");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var InvalidConfigurationException_1 = require("../shapes/InvalidConfigurationException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterDevice = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterDevice",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/identity/{IdentityId}/device"
    },
    input: {
        shape: RegisterDeviceInput_1.RegisterDeviceInput
    },
    output: {
        shape: RegisterDeviceOutput_1.RegisterDeviceOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: InvalidConfigurationException_1.InvalidConfigurationException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=RegisterDevice.js.map