"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetCognitoEventsInput_1 = require("../shapes/SetCognitoEventsInput");
var SetCognitoEventsOutput_1 = require("../shapes/SetCognitoEventsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetCognitoEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetCognitoEvents",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/events"
    },
    input: {
        shape: SetCognitoEventsInput_1.SetCognitoEventsInput
    },
    output: {
        shape: SetCognitoEventsOutput_1.SetCognitoEventsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=SetCognitoEvents.js.map