"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateRecordsInput_1 = require("../shapes/UpdateRecordsInput");
var UpdateRecordsOutput_1 = require("../shapes/UpdateRecordsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceConflictException_1 = require("../shapes/ResourceConflictException");
var InvalidLambdaFunctionOutputException_1 = require("../shapes/InvalidLambdaFunctionOutputException");
var LambdaThrottledException_1 = require("../shapes/LambdaThrottledException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRecords = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRecords",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}"
    },
    input: {
        shape: UpdateRecordsInput_1.UpdateRecordsInput
    },
    output: {
        shape: UpdateRecordsOutput_1.UpdateRecordsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: InvalidLambdaFunctionOutputException_1.InvalidLambdaFunctionOutputException
        },
        {
            shape: LambdaThrottledException_1.LambdaThrottledException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        }
    ]
};
//# sourceMappingURL=UpdateRecords.js.map